<?php


  require('includes/application_top.php');

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<style type="text/css">
  body {
    font-family: Verdana;
  }
  fieldset {
    margin: 2px;
    padding: 10px;
    border: 2px solid #ccc;
  }
  legend {
    padding: 5px;
    background-color: #c62b27;
    font-weight: bold;
    color: #ffffff;
    border: 5px solid #fff;
  }
  label {
    display: block;
    margin-bottom: 5px;
    font-weight: bold;
    padding: 0 5px 0 0;
    color: #000;
  }
  input {
    margin-bottom: 5px;
  }
  .required {
    color: red;
  }
</style>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<p align="center">
<table border="1" bordercolor=black width="90%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="145"<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="150"<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="left"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td>
<?php

// get the submit variable
$submit = strtoupper($_POST['submit']);

// get the products_model variable
$products_model = trim(strtoupper($_POST['products_model']));

// get the products_model_id variable
$products_model_id = trim(strtoupper($_POST['products_model_id']));

// get the products_cross_sell variable
$products_cross_sell = trim(strtoupper($_POST['products_cross_sell']));

// get the products_cross_sell_id variable
$products_cross_sell_id = trim(strtoupper($_POST['products_cross_sell_id']));

// check if a form was submitted
if ($submit <> '') {
  // check if it has been properly filled
  if ($products_model <> '') {
    // check to see what form has been submitted
      switch ($submit) {
        case 'SEARCH' :
          // search form has been submitted
          // query the db to check if the code exists and get any results
          $search_result = check_code_exists($products_model);

          // check if there were any matches
          if ($search_result) {
            // there is a least one match
            // get the products_id from the array
            $products_model_id = $search_result['products_id'];

            	// display a form for adding cross-sells to this product
            	display_cross_sell_add($products_model_id, $products_model);

            	// display a link to the cross-sell search form
            	display_cross_sell_link();

            	// display any cross-sells
            	$cross_sells = display_cross_sells($products_model_id, $products_model);
           } else {
           	// else display an error
           	echo '<h2 class="required">' . ERROR_MODEL_NOT_FOUND . '&nbsp;' . $products_model . '</h2>';

           	// and the search form again
           	display_cross_sell_search($products_model);
          }
          break;
        case 'ADD' :
          // add form has been submitted
          // check if the cross_sell code exists
          $search_result = check_code_exists($products_cross_sell);

          // check if there were any matches
          if ($search_result) {
          	// there is at least one match

          	// display a form for adding cross-sells to this product
          	display_cross_sell_add($products_model_id, $products_model);

            	// display a link to the cross-sell search form
            	display_cross_sell_link();

          	// get the products_cross_sell_id from the array
          	$products_cross_sell_id = $search_result['products_id'];

          	// create the insert query
          	$cross_sells_insert_sql = 'INSERT INTO ' . TABLE_PRODUCTS_CROSS_SELL . ' (products_cross_sell_id, products_id, cross_sell_id, cross_sell_sort_order) VALUES ("", "' . $products_model_id . '", "' . $products_cross_sell_id . '", "")';

          	// query the database
          	tep_db_query($cross_sells_insert_sql);

          	// display any cross-sells
          	$cross_sells = display_cross_sells($products_model_id, $products_model);
           } else {
           	// else display an error
           	echo '<h2 class="required">' . ERROR_MODEL_NOT_FOUND . '&nbsp;' . $products_cross_sell . '</h2>';

           	// and the cross_sell add form again
           	display_cross_sell_add($products_model_id, $products_model);

            	// display a link to the cross-sell search form
            	display_cross_sell_link();
          }
          break;
        case 'DELETE' :
          // check if the cross_sell code exists
          $search_result = check_code_exists($products_model);

          // check if there were any matches
          if ($search_result) {
          	// there is at least one match
          	// get the products_id from the array
          	$products_model_id = $search_result['products_id'];

          	// display a form for adding cross-sells to this product
          	display_cross_sell_add($products_model_id, $products_model);

            	// display a link to the cross-sell search form
            	display_cross_sell_link();

          	// remove any unchecked cross-sells from the form
          	remove_cross_sells();

          	// display any cross-sells
          	$cross_sells = display_cross_sells($products_model_id, $products_model);
         }
         break;
       default :
         // no form was submitted; display a cross-sell search form
         display_cross_sell_search($products_model);
         break;
      }
    } else {
      // display a message
      echo '<h2 class="required">' . ERROR_MODEL_NOT_VALID . '</h2>';
      display_cross_sell_search($products_model);
    }
} else {
  // a form was not submitted
  // display a message
  echo '<h2>' . TEXT_CROSS_SELL_SEARCH . '</h2>';
  display_cross_sell_search($products_model);
}
?>
          </td>
        </tr>
      </table>
    <!-- body_text_eof //-->
    </td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>

<?php
// --------------------------------------------------------------------------
function display_cross_sell_search($products_model) {
?>
<form action="cross_sell.php" method="post">
  <fieldset>
    <legend><?php echo FORM_PRODUCT_MODEL_SEARCH_LEGEND; ?></legend>
    <label for="products_model"><?php echo TABLE_HEADING_PRODUCT_MODEL; ?></label><input type="text" name="products_model" value="<?php echo $products_model; ?>" /><br />
    <label for="search"><?php echo FORM_PRODUCT_MODEL_SEARCH; ?></label><input type="submit" name="submit" value="<?php echo FORM_PRODUCT_MODEL_SEARCH; ?>" />
  </fieldset>
</form>
<?php
}

// --------------------------------------------------------------------------
function display_cross_sells($products_id, $products_model) {
  // create a query to look up any existing cross-sells for this code
  $cross_sell_sql = 'SELECT px.products_id, px.cross_sell_id, p.products_model, pd.products_name FROM ' . TABLE_PRODUCTS_CROSS_SELL . ' as px, ' . TABLE_PRODUCTS . ' as p, ' . TABLE_PRODUCTS_DESCRIPTION . ' as pd WHERE px.products_id = "' . $products_id . '" AND px.cross_sell_id = p.products_id AND p.products_id = pd.products_id';

  // query the database
  $cross_sell_results = tep_db_query($cross_sell_sql);

  // create the table header
  $table_head = "\n" . '<table border="1" width="50%" cellpadding="2" cellspacing="2"><tr><th>' . TABLE_HEADING_PRODUCT_MODEL . '</th><th>' . TABLE_HEADING_PRODUCT_NAME . '</th><th>' . TABLE_HEADING_CROSS_SELL_THIS . '</th></tr>';

  // check if there were any matches
  while ($cross_sell_result = tep_db_fetch_array($cross_sell_results)) {
    // create the table rows
    $table_data .= '<tr><td>' . $cross_sell_result['products_model'] . '</td><td>' . $cross_sell_result['products_name'] . '</td><td><form action="' . FILENAME_CROSS_SELL_PRODUCTS . '" method="post"><input type="hidden" name="cross_sell_id" value="' . $cross_sell_result['cross_sell_id'] . '" /><input type="hidden" name="products_model" value="' . $products_model . '" /><input type="hidden" name="products_model_id" value="' . $products_id . '" /><input type="submit" name="submit" value="' . FORM_DELETE_CROSS_SELL_BUTTON . '" /></form></td></tr>';
  }

  // check if the table has data
  if ($table_data <> '') {
    // it does, so display it
    $table_head .= $table_data . '<tr><td>&nbsp;</td><td>&nbsp;</td><td></td></table>' . "\n";
    echo $table_head;
  }
}

// --------------------------------------------------------------------------
function display_cross_sell_add($products_model_id, $products_model) {
?>
<form action="cross_sell.php" method="post">
  <fieldset>
    <legend><?php echo FORM_ADD_CROSS_SELL . '&nbsp;' . $products_model; ?></legend>
    <label for="products_cross_sell"><?php echo TABLE_HEADING_PRODUCT_MODEL; ?></label><input type="text" name="products_cross_sell" value="" /><br />
    <input type="hidden" name="products_model" value="<?php echo $products_model; ?>" />
    <input type="hidden" name="products_model_id" value="<?php echo $products_model_id; ?>" />
    <label for="add"><?php echo FORM_ADD_CROSS_SELL_BUTTON; ?></label><input type="submit" name="submit" value="<?php echo FORM_ADD_CROSS_SELL_BUTTON; ?>" />
  </fieldset>
</form>
<?php
}

// --------------------------------------------------------------------------
function check_code_exists($products_model) {
  // create a query to look up the code
  $search_sql = 'SELECT products_id, products_model, products_status FROM ' . TABLE_PRODUCTS . ' WHERE products_model = "' . $products_model . '" AND products_status = 1';

  // query the database
  $search_results = tep_db_query($search_sql);

  // get any results
  $search_result = tep_db_fetch_array($search_results);

  return $search_result;
}

// --------------------------------------------------------------------------
function remove_cross_sells() {
  // simply call up the form variables to delete and insert them where they belong in the query
  tep_db_query ('DELETE FROM ' . TABLE_PRODUCTS_CROSS_SELL . ' WHERE cross_sell_id = "' . $_POST['cross_sell_id'] . '" AND products_id = "' . $_POST['products_model_id'] . '"');
}

// --------------------------------------------------------------------------
function display_cross_sell_link() {
  // display a link to create a new cross-sell
  echo '<p><a href="' . FILENAME_CROSS_SELL_PRODUCTS . '"><strong>' . TEXT_CROSS_SELL_LINK . '</strong></a></p>';
}
?>
